'use strict';

var React = require('react');
var index$1 = require('./index-4e13f8c3.js');
var index = require('./index-3643ff1b.js');

function _interopDefault (e) { return e && e.__esModule ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

var styles = {"loading":"tliWyii"};

const Loading = ({ className, theme, hideText }) => {
    const { t } = index.useTranslations();
    return (React__default["default"].createElement("div", { className: `${styles.loading} ${className}` },
        React__default["default"].createElement(index$1.Icon.Spinner, { isMarryBaby: theme === 'marryBaby' }),
        !hideText && t('loading')));
};

exports.Loading = Loading;
